### Method

# Gimp Config serialize_changed_properties

since: 2.4

#### Declaration [src]

    gboolean
    gimp_config_serialize_changed_properties (
      GimpConfig* config,
      GimpConfigWriter* writer
    )

#### Description [src]

This function writes all object properties that have been changed from their default values to the `writer`.

Available since: 2.4

#### Parameters

`writer`

  Type: `GimpConfigWriter`

  A `GimpConfigWriter`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if serialization succeeded, `FALSE` otherwise.